import figma from '@figma/code-connect';

figma.connect(
  'https://www.figma.com/design/Zyh9RyabNaqkjbuFWP9Aqj/%E2%9C%A8-Components--ADS2---Stable-version-?node-id=6-11276',
  {
    imports: ["import { BuiltInMenuItem } from '@mozaic-ds/web-components/svelte';"],
    props: {
      label: figma.string('Label'),
      selected: figma.enum('Is selected', {
        False: false,
        True: true,
      }),
      state: figma.enum('State', {
        Default: 'default',
        Hovered: 'hovered',
      }),
    },
    example: ({ label, selected }) => (
      <BuiltInMenuItem label={label} selected={selected}></BuiltInMenuItem>
    ),
  },
);
